Name:           libopensync-plugin-python
Epoch:          1
Version:        0.22
Release:        20%{?dist}
Summary:        Python plugin for libopensync

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.opensync.org
Source0:        http://www.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel = 1:0.22
BuildRequires:  python2-devel

%global _description\
%{summary}

%description %_description

%package -n python2-libopensync-plugin
Summary: %summary
%{?python_provide:%python_provide python2-libopensync-plugin}
# Remove before F30
Provides: libopensync-plugin-python = %{version}-%{release}
Provides: libopensync-plugin-python%{?_isa} = %{version}-%{release}
Obsoletes: libopensync-plugin-python < %{version}-%{release}

%description -n python2-libopensync-plugin %_description

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python2-libopensync-plugin
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/opensync/plugins/python*.so
%{_libdir}/opensync/python-plugins/sample*

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1:0.22-19
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sun Aug 20 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:0.22-18
- Add Provides for the old name without %%_isa

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:0.22-17
- Python 2 binary package renamed to python2-libopensync-plugin
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.22-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1:0.22-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 12 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-2
- Use versioned dependencies

* Sat Feb 07 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 1:0.22-1
- downgrade (#474070)

* Mon Jan 12 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.36-3
- Copy patch from libopensync, which is the same as upstream changeset
  for Python 2.6 (http://www.opensync.org/changeset/4383)

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.36-2
- Rebuild for Python 2.6

* Fri Jun 20 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.36-1
- version upgrade

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-3
- Autorebuild for GCC 4.3

* Sat Dec 29 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.35-2
- use cmake macro

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.35-1
- version upgrade

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.22-2
- fix license tag
- rebuild for buildid

* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.22-1
- version upgrade

* Wed Dec 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.20-1
- vesion upgrade

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.19-1
- version upgrade

* Wed Sep 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-5
- FE6 rebuild

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-4
- Rebuild for Fedora Extras 5

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-3
- add dist

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-2
- add missing BR
- own python-plugin dir

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-1
- initial version
